<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql1 = <<<'SQL'
            ALTER TABLE items
            ADD COLUMN line_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT items_line_id_fkey
            FOREIGN KEY (line_id) REFERENCES lines(id);
        SQL;

        DB::statement($sql1);

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('items', function (Blueprint $table) {
        //     //
        // });
    }
};
